
Redmine - Defect #39778

Untranslated string "OK" in the repository browser

2023-12-05 08:12 - Mischa The Evil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version: 5.1.4   

Resolution: Fixed Affected version:  

Description

Taken from Defect #38509#note-4: Untranslated string "OK" in the repository browser:

One another 'OK' missed in diff page.

source:/trunk/app/views/repositories/diff.html.erb#L26

Related issues:

Related to Redmine - Defect #38509: Untranslated string "OK" in the repositor... Closed

Associated revisions

Revision 22983 - 2024-08-24 07:54 - Go MAEDA

Fix untranslated string "OK" in repositories diff view (#39778).

Revision 22984 - 2024-08-25 07:01 - Go MAEDA

Merged r22983 from trunk to 5.1-stable (#39778).

History

#1 - 2023-12-05 08:15 - Mischa The Evil

- Related to Defect #38509: Untranslated string "OK" in the repository browser added

#2 - 2023-12-05 08:25 - Mischa The Evil

Off-topic:

Mischa The Evil wrote:

Defect #38509#note-4: Untranslated string "OK" in the repository browser:

 Woot! This syntax actually works... Neat! Thumbs up to Jens Krämer et al.

#3 - 2023-12-05 11:10 - salman mp

+1

#4 - 2024-08-23 09:31 - Go MAEDA

- Target version set to 5.1.4

Thank you for pointing out. I had to include the following change in r22231.

diff --git a/app/views/repositories/diff.html.erb b/app/views/repositories/diff.html.erb

index 3551c38c4..8af09e70e 100644

--- a/app/views/repositories/diff.html.erb

+++ b/app/views/repositories/diff.html.erb

@@ -23,7 +23,7 @@

                :rev        => nil},

                :method     => :get) do %>

     <%= text_field_tag 'rev', @rev, :size => 8 %>
-    <%= submit_tag 'OK', :name => nil %>

+    <%= submit_tag l(:button_view), :name => nil %>

   <% end %>

 </div>

 <%= render :partial => 'changeset' %>

#5 - 2024-08-24 07:54 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix in r22983.

#6 - 2024-08-25 07:03 - Go MAEDA

- Status changed from Resolved to Closed

Merged the fix to 5.1-stable branch.
